[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonDefs.IndexOfDaemonDef

Return index of daemon definition

## Declaration

Source position: daemonapp.pp line 261

`public function TDaemonDefs.IndexOfDaemonDef(`
`const DaemonName: string`
`):Integer;`

## Arguments

`DaemonName` |  | Daemon Name to search for.

## Function result

Index of found definition, or -1

## Description

IndexOfDaemonDef searches the collection for a TDaemonDef instance with a name equal to DaemonName, and returns it's index. It returns -1 if no definition was found with this name. The search is case insensitive.

## See also

TDaemonDefs.FindDaemonDef |  | Find and return instance of daemon definition with given name.
TDaemonDefs.DaemonDefByName |  | Find and return instance of daemon definition with given name.

Documentation generated on: Feb 26 2014